Coin = {}

function Coin:spawner()
    goldCoin = coinSprite
    coinGrid = anim8.newGrid(8, 8, goldCoin:getWidth(), goldCoin:getHeight())
    local location = level.layers["coinspawn"].objects
    for i = 1, #location do
        local inst = location[i]
        Coin[i] = {
            x = inst.x + 8,
            y = inst.y + 8,
            w = 8,
            h = 8,
            anim = anim8.newAnimation(coinGrid("1-6", 1), 0.1),
            index = i,
            isCoin = true
        }
        world:add(Coin[i], Coin[i].x - Coin[i].w * 0.5, Coin[i].y - Coin[i].h, Coin[i].w, Coin[i].h)
    end
end

function Coin:updater(dt)
    for i, value in pairs(Coin) do
        if Coin[i] ~= nil then
            Coin[i].anim:update(dt)
        end
    end
end

function Coin:draw()
    for i, value in pairs(Coin) do
        if Coin[i] ~= nil then
            Coin[i].anim:draw(goldCoin, Coin[i].x, Coin[i].y, nil, 1, 1, 4, 8)
        end
    end
end

return Coin